Name:		libinstpatch
Summary:	MIDI instrument patch library
Version:	1.0.0
Release:	%mkrel 1
URL:		http://www.swamiproject.org/
License:	LGPLv2+
Source:		libinstpatch-%{version}.tar.xz
Group:		Sound
#BuildRequires:	cmake
BuildRequires:	glib2-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libaudiofile-devel
BuildRequires:	intltool
BuildRequires:	python-devel
BuildRequires:	pygtk2-devel

%description
libInstPatch stands for lib-Instrument-Patch and is a library for processing
digital sample based MIDI instrument "patch" files. The types of files
libInstPatch supports are used for creating instrument sounds for wavetable
synthesis. libInstPatch provides an object framework (based on GObject) to load
patch files into, which can then be edited, converted, compressed and saved.


%package devel
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel
Requires:	libsndfile-devel
Requires:	libaudiofile-devel

%description devel
This package includes the development libraries and header files for
%{name}.

%prep

%setup -q

%build
export CFLAGS="-lm"

%configure


#./configure --prefix=/usr \
#	    --libdir=/usr/lib64

%make

%install
rm -fr %{buildroot}
%make_install

rm -fr %{buildroot}%{_datadir}/gtk-doc/html/%{name}
rm -fr %{buildroot}%{_libdir}/*.a
rm -fr %{buildroot}%{_libdir}/*.la
rm -fr %{buildroot}%{py_platsitedir}/*.a
rm -fr %{buildroot}%{py_platsitedir}/*.la


%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/riff_dump
%{_libdir}/%{name}*.so.*
%{_datadir}/pygtk/2.0/defs/ipatch-types.defs
%{_datadir}/pygtk/2.0/defs/ipatch.defs

%files devel
%doc examples/create_sf2.c
%{_includedir}/%{name}*
%{_libdir}/%{name}*.so
%{py_platsitedir}/*.so
%{_libdir}/pkgconfig/%{name}*.pc


%changelog
* Wed Jan 01 2014 gseaman <galen.seaman at comcast.net> 1.0.0-1gseaman2014
- first build for PCLinuxOS based on fedora spec file
